Package org.eclipse.emf.cdo.security.impl

# Class ResourceFilterImpl.PathMatcher

java.lang.Object
org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

All Implemented Interfaces:
  `ResourceFilterImpl.Matcher`

Direct Known Subclasses:
  `ResourceFilterImpl.AntMatcher`, `ResourceFilterImpl.ExactMatcher`, `ResourceFilterImpl.TreeMatcher`

Enclosing class:
  ResourceFilterImpl

protected abstract static class ResourceFilterImpl.PathMatcher extends Object implements ResourceFilterImpl.Matcher
Matches the path of a `resource node` against a `path` string.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`path`

## Constructor Summary

Constructors
Constructor
Description
`PathMatcher(String path)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.Matcher

`getParentPatternStyle, matches`

## Field Details

### path

protected final String path

## Constructor Details

### PathMatcher

public PathMatcher(String path)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`